Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13

Thread: Unmet dependencies causing errors

  1. #11
    Join Date
    Nov 2004
    Location
    Maine
    Beans
    1,695
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: Unmet dependencies causing errors

    Also you may want to run
    Code:
    sudo dpkg --configure -a
    After you remove those extra kernels.
    Wireless script
    Dave
    Registered Linux User #462608
    Ubuntu 15.04 /14.04

  2. #12
    Join Date
    Jun 2007
    Beans
    26

    Re: Unmet dependencies causing errors

    Right, finally fixed. This post is just briefly what I did in case anyone eklse has this issue.

    First, I tried removing the older kernels manually to free up some room on /boot:
    Code:
      385  rm /boot/initrd.img-3.2.0-29-generic-pae
      386  sudo rm /boot/initrd.img-3.2.0-29-generic-pae
      387  sudo apt-get remove --purge linux-image-3.2.0-29-generic-pae
    but the same issue kept repeating on running:
    Code:
    sudo apt-get -f install
    so, I decided to have a look at what was actually in /boot, and then (a bit recklessly) used:
    Code:
    sudo rm -f *xx*
    to remove some really obsolete kernels. I only actually removed 3.2.0.21 and 3.2.0.29 by this method.

    Emacs and updates would then install as I wanted. I'm going to do a bit more housekeeping now to free some more room on /boot so this doesn't happen again.

    Thanks for your help

  3. #13
    Join Date
    Nov 2004
    Location
    Maine
    Beans
    1,695
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: Unmet dependencies causing errors

    Glad you found the problem and got it going
    Wireless script
    Dave
    Registered Linux User #462608
    Ubuntu 15.04 /14.04

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •